> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/labor/v1/payroll-summaries > Retrieves payroll labor summaries for a date range ## OpenAPI ````json GET /public/labor/v1/payroll-summaries { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/labor/v1/payroll-summaries": { "get": { "tags": [ "timeandattendance" ], "description": "Retrieves payroll labor summaries for a date range", "parameters": [ { "name": "locationId", "in": "query", "description": "", "schema": { "type": "string", "format": "uuid" } }, { "name": "legalEntityId", "in": "query", "description": "", "schema": { "type": "string", "format": "uuid" } }, { "name": "businessDateStart", "in": "query", "description": "", "required": true, "schema": { "type": "string", "format": "date" } }, { "name": "businessDateEnd", "in": "query", "description": "", "required": true, "schema": { "type": "string", "format": "date" } }, { "name": "pageSize", "in": "query", "description": "", "schema": { "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.Response" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.Response": { "type": "array", "items": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.LaborSummaryResponse" } }, "R365.TimeAndAttendance.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Models.R365Error" } } }, "R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.LaborSummaryResponse": { "type": "object", "properties": { "businessDate": { "type": "string", "description": "Business date of the labor record.", "format": "date" }, "legalEntity": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.ExternalLegalEntity" }, "location": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.ExternalLocation" }, "employee": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.ExternalEmployee" }, "earningType": { "type": "string", "description": "Earning type code for the labor record.", "nullable": true }, "earningTypeName": { "type": "string", "description": "Display name of the earning type.", "nullable": true }, "jobCode": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.JobCode" }, "totalSeconds": { "type": "integer", "description": "Total duration of labor in seconds.", "format": "int32" }, "rate": { "type": "number", "description": "Pay rate for the labor record.", "format": "double" }, "cost": { "type": "number", "description": "Total cost of the labor record.", "format": "double" } }, "description": "Represents a payroll labor summary record for a single employee, date, and earning type." }, "R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.ExternalLegalEntity": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the legal entity.", "format": "uuid" }, "name": { "type": "string", "description": "Display name of the legal entity.", "nullable": true }, "number": { "type": "string", "description": "Legal entity number.", "nullable": true }, "payrollProviderId": { "type": "string", "description": "External payroll provider identifier for the legal entity.", "nullable": true } }, "description": "Represents a legal entity reference in the payroll summary." }, "R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.ExternalLocation": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the location.", "format": "uuid" }, "name": { "type": "string", "description": "Display name of the location.", "nullable": true }, "number": { "type": "string", "description": "Location number.", "nullable": true }, "payrollLocationId": { "type": "string", "description": "External payroll location identifier.", "nullable": true } }, "description": "Represents a location reference in the payroll summary." }, "R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.ExternalEmployee": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the employee.", "format": "uuid" }, "name": { "type": "string", "description": "Display name of the employee.", "nullable": true }, "payrollId": { "type": "string", "description": "External payroll identifier for the employee.", "nullable": true } }, "description": "Represents an employee reference in the payroll summary." }, "R365.TimeAndAttendance.Public.Contracts.PayrollSummaries.Models.JobCode": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the job code.", "format": "uuid" }, "name": { "type": "string", "description": "Display name of the job code.", "nullable": true }, "code": { "type": "string", "description": "Job code value.", "nullable": true }, "department": { "type": "string", "description": "Department the job code belongs to.", "nullable": true } }, "description": "Represents a job code reference in the payroll summary." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````